if RequiredScript == "lib/tweak_data/tweakdata" then
	function TweakData:load_movie_list()
		local CONFIG_PATH = "gamedata/movie_theater"
		local FILE_EXTENSION = "movie_theater"
		self.movies = {}
		local movie_data = PackageManager:xml_data(FILE_EXTENSION:id(), CONFIG_PATH:id())

		if movie_data then
			for i = 0, movie_data:num_children() - 1 do
				local item = movie_data:child(i):parameter_map()

				if item.file then
					table.insert(self.movies, item)
				end
			end
		end
	end
elseif RequiredScript == "lib/managers/menu/movietheatergui" then
	function MovieTheaterGui:play_movie(item, blockingtag)
		if alive(self._video_gui) then
			self:reset_video()
		end

		if not item.file then
			return
		end

		self:reset_video()

		local screen_width = self._fullscreen_ws:width()
		local screen_height = self._fullscreen_ws:height()
		local src_width, src_height = managers.gui_data:get_base_res()
		local dest_width, dest_height = nil

		if src_width / src_height > screen_width / screen_height then
			dest_width = screen_width
			dest_height = src_height * dest_width / src_width
		else
			dest_height = screen_height
			dest_width = src_width * dest_height / src_height
		end

		local x = (screen_width - dest_width) / 2
		local y = (screen_height - dest_height) / 2
		self._video_gui = self._fullscreen_ws:panel():video({
			video = item.file,
			x = x,
			y = y,
			width = dest_width,
			height = dest_height,
			layer = tweak_data.gui.ATTRACT_SCREEN_LAYER
		})

		self._video_gui:play()
		self._video_gui:set_volume_gain(managers.music:has_music_control() and self._sfx_volume or 0)
		managers.music:set_volume(0)
		SoundDevice:set_rtpc("option_sfx_volume", 0)
		managers.mouse_pointer:disable()

		self._node:parameters().block_back = (blockingtag or "block_back") == "block_back"
	end
end